Update
curl --request PATCH \
--url https://api.cadanapay.com/v1/entities/{entityId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"legalName": "Acme Corp Ghana Updated",
"entityType": "limited liability company",
"phoneNumber": {
"countryCode": "1",
"number": "2345678901"
},
"registrationNumber": "BN-654321",
"taxId": "TIN-210987",
"incorporationDate": "2019-06-01"
}
'import requests
url = "https://api.cadanapay.com/v1/entities/{entityId}"
payload = {
"legalName": "Acme Corp Ghana Updated",
"entityType": "limited liability company",
"phoneNumber": {
"countryCode": "1",
"number": "2345678901"
},
"registrationNumber": "BN-654321",
"taxId": "TIN-210987",
"incorporationDate": "2019-06-01"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
legalName: 'Acme Corp Ghana Updated',
entityType: 'limited liability company',
phoneNumber: {countryCode: '1', number: '2345678901'},
registrationNumber: 'BN-654321',
taxId: 'TIN-210987',
incorporationDate: '2019-06-01'
})
};
fetch('https://api.cadanapay.com/v1/entities/{entityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}{
"code": "resource_not_found",
"message": "Requested resource could not be found."
}{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}Entities
Update
Update an existing legal entity
PATCH
/
v1
/
entities
/
{entityId}
Update
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required when using a Platform API token. The tenant key identifying which business to operate on.
Path Parameters
The unique identifier of the entity
Body
application/json
Update entity request payload (partial update)
Legal name of the entity
Example:
"Acme Corp Ghana Updated"
Legal structure type
Available options:
corporation, c-corporation, s-corporation, partnership, sole proprietorship, limited liability company, non profit, other Example:
"limited liability company"
Address
Show child attributes
Show child attributes
Person's phone number
Show child attributes
Show child attributes
Business registration number
Example:
"BN-654321"
Tax identification number
Example:
"TIN-210987"
Date of incorporation (YYYY-MM-DD)
Example:
"2019-06-01"
Response
Successful operation
⌘I